#ifndef ETHERNET_FINAL_LAYER_H
#define ETHERNET_FINAL_LAYER_H

#include "Layer.hh"
#include "Params.hh"

class EthernetLayer : public Layer {
  Params _params;
public:
  EthernetLayer(const std::string & p_type, const std::string & param);
  virtual ~EthernetLayer() {};

  virtual void sendData(OCTETSTRING& data, Params& params);
  virtual void receiveData(OCTETSTRING& data, Params& info);
};

#endif
